Create Broadcast
curl --request POST \
--url https://api.example.com/cabinet/admin/broadcasts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": "<string>",
"message_text": "<string>",
"selected_buttons": [
"<string>"
],
"media": {
"type": "<string>",
"file_id": "<string>",
"caption": "<string>"
}
}
'import requests
url = "https://api.example.com/cabinet/admin/broadcasts"
payload = {
"target": "<string>",
"message_text": "<string>",
"selected_buttons": ["<string>"],
"media": {
"type": "<string>",
"file_id": "<string>",
"caption": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target: '<string>',
message_text: '<string>',
selected_buttons: ['<string>'],
media: {type: '<string>', file_id: '<string>', caption: '<string>'}
})
};
fetch('https://api.example.com/cabinet/admin/broadcasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"target_type": "<string>",
"has_media": true,
"total_count": 123,
"sent_count": 123,
"failed_count": 123,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"message_text": "<string>",
"media_type": "<string>",
"media_file_id": "<string>",
"media_caption": "<string>",
"blocked_count": 0,
"admin_id": 123,
"admin_name": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"progress_percent": 0,
"channel": "telegram",
"email_subject": "<string>",
"email_html_content": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Admin Broadcasts
Create Broadcast
Create and start a broadcast.
POST
/
cabinet
/
admin
/
broadcasts
Create Broadcast
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Broadcast response.
⌘I
